Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001732Frama-CDocumentation > manualspublic2014-04-05 10:532016-06-21 14:17
Reporterzuy 
Assigned Tosignoles 
PrioritylowSeveritytextReproducibilityalways
StatusclosedResolutionfixed 
PlatformAllOSAllOS VersionAll
Product VersionFrama-C Neon-20140301 
Target VersionFixed in VersionFrama-C Sodium 
Summary0001732: Erreur dans la documentation pour plugin erreur de type
DescriptionA la page 18 de la documentation de développement d'un plugin, il est question d'ajouter une option au plugin en cours de développement.
L'option en question est la possibilité de spécifier la sortie des écritures standard du plugin.

output_fun est alors censé contenir la fonction qui prend un formateur par défaut et attend un string en entrée pour produire un unit (dans le if) mais la branche else ouvre un fichier crée la fonction en question avec fprintf mais un point-virgule et un appel à close_out rend le type des deux branches incompatible.
Steps To ReproduceLire la documentation
Additional InformationUne solution à la fois simple et propre serait de rester dans l'optique du découpage du code en module
de la page précédente et de définir dans printer un type nécessaire à ses fonctions
après création du printer on récupère un channel qui est le standard ou celui d'un fichier particulier, on peut alors écrire dedans (si c'est le standard tant mieux on utilise result sinon on utilise fprintf.
puis on ferme (si c'est le standard on ne fait rien sinon ou appel close_out dessus)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005029)
signoles (manager)
2014-04-07 13:40

Fix committed to master branch.
(0005030)
signoles (manager)
2014-04-07 13:48

The applied patch only adds an argument of type string to the function [output_fun] and applied it to [Self.result] and [Printf.fprintf].

- Issue History
Date Modified Username Field Change
2014-04-05 10:53 zuy New Issue
2014-04-05 10:53 zuy Status new => assigned
2014-04-05 10:53 zuy Assigned To => signoles
2014-04-07 11:44 signoles Status assigned => resolved
2014-04-07 11:44 signoles Resolution open => fixed
2014-04-07 13:40 signoles Note Added: 0005029
2014-04-07 13:48 signoles Note Added: 0005030
2015-03-17 22:17 signoles Fixed in Version => Frama-C Sodium
2015-03-17 22:17 signoles Status resolved => closed
2016-06-21 14:11 signoles Category Documentation => Documentation > ACSL
2016-06-21 14:17 signoles Category Documentation > ACSL => Documentation > manuals


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker